Bug 961877 - RFE: DiscoveryBoss.manuallyAddResource CLI call should use default plugin configuration when possible
RFE: DiscoveryBoss.manuallyAddResource CLI call should use default plugin con...
Status: NEW
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 11:32 EDT by Elias Ross
Modified: 2013-06-28 16:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (for 4.5.1) (2.65 KB, application/octet-stream)
2013-05-10 11:32 EDT, Elias Ross
no flags Details
Patch for 7e512faae456 (3.22 KB, patch)
2013-06-19 14:49 EDT, Elias Ross
no flags Details | Diff

  None (edit)
Description Elias Ross 2013-05-10 11:32:30 EDT
Created attachment 746211 [details]
patch (for 4.5.1)

DiscoveryBoss.manuallyAddResource should use default plugin configuration keys when not indicated.

Alternatively, the CLI should support obtaining the default plugin configuration, allowing the settings to be overwritten on the CLI side.

This is what I came up with (attached).
Comment 1 Elias Ross 2013-06-19 14:49:40 EDT
Created attachment 763101 [details]
Patch for 7e512faae456
Comment 2 Heiko W. Rupp 2013-06-28 09:29:43 EDT
Elias,
thanks for the patch - I still need to try the implications better -- especially in cases when there are more than one template and the user choose one of those and only supplied one of the values - here the other values would need to be taken from the other template instead of the default ?

Thanks
  Heiko
Comment 3 Elias Ross 2013-06-28 16:16:40 EDT
Yeah, I'm not sure what to do about multiple configuration templates. I forgot that RHQ had them :-)

Since the client can pull the configuration template using the CLI (which I didn't figure out), might make sense to not have this change.

Or maybe it would be good to have an overloaded method?

DiscoveryBoss.manuallyAddResource(resourceType.id, parent.id, config, /*new*/ templateId)

Note You need to log in before you can comment on or make changes to this bug.